//
// This file is part of the book "Language C++ et calcul scientifique"
//
// Copyright (C) 2005-2012 Pierre Saramito <Pierre.Saramito@imag.fr>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
#include "promote.h"
#include <iostream>
using namespace std;
int main () {
  complex<float>   z1 (0.0, 1.0);
  complex<double>  z2 (1.0, 2.0);
  complex<double>  z3 = z1 + z2;
  cout << "z3 = " << z3 << endl;
  quaternion<float>   h1 (0.0, 1.0, 0.0, 0.0);
  quaternion<double>  h2 (1.0, 2.0, 0.0, 0.0);
  quaternion<double>  h3 = h1 + h2;
  cout << "h3 = " << h3 << endl;
}
